/*
 * LCD Image Converter. Converts images and fonts for embedded applications.
 * Copyright (C) 2012 riuson
 * mailto: riuson@gmail.com
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/
 */

#include "revisioninfo.h"

#include <QFile>
#include <QTextStream>
#include <QRegExp>
#include "resources/revision.h"

// info generated by version-gen.sh to file resources/revision.h

namespace VersionControl
{

const QString &RevisionInfo::hash()
{
#ifdef GIT_REVISION
  static const QString result = QString(GIT_REVISION);
#else
  static const QString result = QString("unknown");
#endif
  return result;
}

const QString &RevisionInfo::hash_abbr()
{
#ifdef GIT_REVISION_ABBR
  static const QString result = QString(GIT_REVISION_ABBR);
#else
  static const QString result = QString("unknown");
#endif
  return result;
}

const QString &RevisionInfo::date()
{
#ifdef GIT_COMMIT_ADATE
  static const QString result = QString(GIT_COMMIT_ADATE);
#else
  static const QString result = QString("???");
#endif
  return result;
}

const QString &RevisionInfo::version()
{
#ifdef GIT_COMMIT_AT
  quint32 timestamp = GIT_COMMIT_AT;
  static const QString result = QString("2.1.%1.%2").arg(timestamp >> 16).arg(timestamp & 0x0000ffff);
#else
  static const QString result = QString("2.1.x.x");
#endif
  return result;
}

} // namespace VersionControl
